#!/bin/sh
#
# sslvpn client auto start script, 
# do not edit
#

CONF=/etc/sslvpn.conf
CLIENT=/usr/bin/sslvpn_client_linux
START="-c"
STOP="-d"

sslvpn_start(){
	if [ ! -e "$CONF" ]
	then
		return 0
	fi

	launch_at_startup=$(grep "<vpn_info" $CONF | sed 's,.*launch_at_startup=\"\([^"]\+\)\".*,\1,')

	if [ -n "$launch_at_startup" ] && [ "$launch_at_startup" = "1" ]
	then
		$CLIENT $START
	fi
}

sslvpn_stop(){
	$CLIENT $STOP
}

case "$1" in
  start)
		sslvpn_start
        ;;
  stop)
		sslvpn_stop
        ;;
  *)
		echo "Usage: $0 {start|stop}" >&2
        ;;
esac

exit 0
